/*-----------------------------------------------------------------
  LED Alarm Clock Copyright (c) 2020 by Jack Botner

  Released under the MIT License  - see
  http://www.opensource.org/licenses/mit-license.php

  led.h

  20201212: program written
-----------------------------------------------------------------*/

#ifndef _LED_H_
#define _LED_H_ 1

#define LED_SEG_PORT            PORTD
#define LED_DIG_PORT            PORTA

// LED display port defines
#define DIG_1_BIT               PA4
#define DIG_2_BIT               PA5
#define DIG_3_BIT               PA6
#define DIG_4_BIT               PA7

// Functions

void ledBlankDisplay(void);
void ledOutputData( uint8_t ucDigit, uint8_t ucNumber, uint8_t ucDp );
void ledSelectDigit( uint8_t cDigit );

#endif
